webentwicklung-frage-antwort-db.com.de

CocoaPods mit Xcode 10 RuntimeError Xcodeproj kennt die folgenden Attribute nicht

Ich versuche einen Pod mit pod install zu installieren und erhalte folgende Fehlermeldung:

RuntimeError - [!] Xcodeproj doesn't know about the following attributes {"inputFileListPaths"=>[], "outputFileListPaths"=>[]} for the 'PBXShellScriptBuildPhase' isa.

Ich verwende CocoaPods 1.5.3 und Xcode 10.

11

Dies ist ein bekannter Fehler von Xcode 10, der in CocoaPods 1.6.0 behoben wurde. Im Moment (Januar 2019) ist es noch in der Beta, sodass Sie es mit installieren können

Sudo gem install cocoapods --pre

Eine alternative Lösung für CocoaPods 1.5.3 konnte hier gefunden werden.

37

Das wird sicherlich funktionieren, es hat für mich funktioniert. Prost!!!

Sie müssen Folgendes aus der Datei project.pbxproj entfernen.

 enter image description here

Folgendes entfernen

  inputFileListPaths = (

  );


  outputFileListPaths = (

  );
6
Purnendu roy

gem update xcodeproj hat dank dieses Beitrags für mich funktioniert http://swiftdynamics.blogspot.com/2019/01/pod-install-issue-xcodeproj-doesnt-know_29.html

1
Anunay

... auch für die von @Purnendu roy bereitgestellte Lösung, wie Sie auf die oben genannte Datei project.pbxproj zugreifen. (Klicken Sie mit der rechten Maustaste auf die .xcodeproj-Datei.)  (right click on your .xcodeproj file

1
rswayz